<h2 class="display-4">Podešavanja naloga</h2>

<ul class="nav nav-tabs" id="myTab" role="tablist">
  <li class="nav-item">
    <a class="nav-link active" id="osnovne-info-tab" data-toggle="tab" href="#osnovne-info" role="tab"
      aria-controls="osnovne-info" aria-selected="true">Osnovne informacije</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" id="napredne-tab" data-toggle="tab" href="#napredna-podesavanja" role="tab"
      aria-controls="napredna-podesavanja" aria-selected="false">Napredna podešavanja</a>
  </li>
  <li class="nav-item">
    <a class="nav-link" id="bankovni-racuni-tab" data-toggle="tab" href="#bankovni-racuni" role="tab"
      aria-controls="bankovni-racuni" aria-selected="false">Bankovni računi</a>
  </li>
</ul>

<div class="tab-content p-5" id="myTabContent">
  <div class="tab-pane fade show active" id="osnovne-info" role="tabpanel" aria-labelledby="osnovne-info-tab">
    <h4>Osnovne informacije</h4>
    <hr>
    <div class="row justify-content-md-center text-center">
      <div class="col-md-6">
        <img id="blah" src="../../assets/uploads/logo/{{nalogInfo.logoUrl}}" class="logoImg">
        <input style="display: none" name="file" type="file" (change)="onFileChanged($event)" #fileInput
          onchange="document.getElementById('blah').src = window.URL.createObjectURL(this.files[0])">
        <br><br>
        <button class="btn btn-secondary btn-sm mr-2" (click)="fileInput.click()">Izaberite logo</button>
      </div>

    </div>
    <hr>
    <div class="container">
      <form [formGroup]="nalogInfoForm" name="form" (ngSubmit)="onSubmit()" novalidate>
        <div class="row">
          <div class="col-md-12 form-group">
            <input type="text" class="form-control" name="naziv" id="naziv" placeholder="naziv" formControlName="naziv"
              [ngClass]="nazivHasErrors()" />
            <div class="alert-danger" *ngIf="nazivErrors().length > 0">
              <ul class="list">
                <li *ngFor="let errorMessage of nazivErrors()">{{ errorMessage }}</li>
              </ul>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12">
            <div class="row">
              <div class="col-md-12 form-group">
                <input type="text" class="form-control" name="adresa" placeholder="Ulica i broj"
                  formControlName="adresa" [ngClass]="adresaHasErrors()" />
                <div class="alert-danger" *ngIf="adresaErrors().length > 0">
                  <ul class="list">
                    <li *ngFor="let errorMessage of adresaErrors()">
                      {{ errorMessage }}
                    </li>
                  </ul>
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-md-4 form-group">
                <input type="text" class="form-control" name="postanski_broj" placeholder="Poštanski broj"
                  formControlName="postanski_broj" [ngClass]="postanskiBrojHasErrors()" />
                <div class="alert-danger" *ngIf="postanskiBrojErrors().length > 0">
                  <ul class="list">
                    <li *ngFor="let errorMessage of postanskiBrojErrors()">
                      {{ errorMessage }}
                    </li>
                  </ul>
                </div>
              </div>
              <div class="col-md-8 form-group">
                <input type="text" class="form-control" name="grad" placeholder="Grad" formControlName="grad"
                  [ngClass]="gradHasErrors()" required />
                <div class="alert-danger" *ngIf="gradErrors().length > 0">
                  <ul class="list">
                    <li *ngFor="let errorMessage of gradErrors()">
                      {{ errorMessage }}
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-md-6 form-group">
            <label for="jmbg">Matični broj:</label>
            <input type="text" class="form-control" name="mb" id="mb" placeholder="Matični broj"
              formControlName="maticni_broj" [ngClass]="maticniBrojHasErrors()" />
            <div class="alert-danger" *ngIf="maticniBrojErrors().length > 0">
              <ul class="list">
                <li *ngFor="let errorMessage of maticniBrojErrors()">
                  {{ errorMessage }}
                </li>
              </ul>
            </div>
          </div>
          <div class="col-md-6 form-group">
            <label for="pib">PIB:</label>
            <input type="text" class="form-control" name="pib" placeholder="PIB" formControlName="pib"
              [ngClass]="pibHasErrors()" />
            <div class="alert-danger" *ngIf="pibErrors().length > 0">
              <ul class="list">
                <li *ngFor="let errorMessage of pibErrors()">{{ errorMessage }}</li>
              </ul>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-6 form-group">
            <input type="text" class="form-control" name="telefon" placeholder="Kontakt telefon"
              formControlName="telefon" [ngClass]="telefonHasErrors()" />
            <div class="alert-danger" *ngIf="telefonErrors().length > 0">
              <ul class="list">
                <li *ngFor="let errorMessage of telefonErrors()">
                  {{ errorMessage }}
                </li>
              </ul>
            </div>
          </div>
          <div class="col-md-6 form-group">
            <input type="text" class="form-control" name="email" placeholder="Kontakt email" formControlName="email"
              [ngClass]="emailHasErrors()" />
            <div class="alert-danger" *ngIf="emailErrors().length > 0">
              <ul class="list">
                <li *ngFor="let errorMessage of emailErrors()">{{ errorMessage }}</li>
              </ul>
            </div>
          </div>
        </div>

        <div class="row">
          <div class="col-md-12 form-group">
            <input type="text" class="form-control" name="website" placeholder="Website" formControlName="website"
              [ngClass]="websiteHasErrors()" />
            <div class="alert-danger" *ngIf="websiteErrors().length > 0">
              <ul class="list">
                <li *ngFor="let errorMessage of websiteErrors()">
                  {{ errorMessage }}
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="row justify-content-md-center text-center">
          <button type="submit" class="btn btn-primary" id="save-btn">Sačuvaj izmene</button>
        </div>
      </form>
    </div>
  </div>
  <div class="row justify-content-md-center" *ngIf="nalogInfoUpdated">
    <div class="col text-center">
      <div class="alert alert-success">
        Uspešno ste sačuvali izmene!
      </div>
    </div>
  </div>


  <!-- Tab sa NAPREDNIM PODEŠAVANJIMA -->
  <div class="tab-pane fade" id="napredna-podesavanja" role="tabpanel" aria-labelledby="napredne-tab">
    <h4>Napredna podešavanja</h4>
    <hr>
    <h5>PDV podešavanja</h5>
    <div class="custom-control custom-switch">
      <input type="checkbox" class="custom-control-input" id="customSwitch1" [checked]="pdvObveznik"
        (change)="changeSistemPDV($event)">
      <label class="custom-control-label" for="customSwitch1">U sistemu PDVa</label>
    </div>
    <hr>
  </div>

  <!-- Tab sa podešavanjima BANKOVNIH RAČUNA -->
  <div class="tab-pane fade" id="bankovni-racuni" role="tabpanel" aria-labelledby="bankovni-racuni-tab">
    <h4>Bankovni računi</h4>
    <hr>
    <div class="row">
      <div class="col-md-6">
        <h5>BROJ RAČUNA</h5>
      </div>
      <div class="col-md-2">
        <h5>VALUTA</h5>
      </div>
      <div class="col-md-2">&nbsp;</div>
      <div class="col-md-2">&nbsp;</div>
    </div>

    <form [formGroup]="bankovniRacuniForm">

      <div formArrayName="bankovni_racuni">
        <div *ngFor="let item of bankovniRacuni.controls; let pointIndex=index" [formGroupName]="pointIndex"
          class="row">
          <div class="col-md-6">
            <input formControlName="broj_racuna" placeholder="Broj računa" />
          </div>
          <div class="col-md-2">
            <input formControlName="valuta" placeholder="Valuta" />
          </div>
          <div class="col-md-2">
            <button type="button" class="btn btn-primary" (click)="saveBankovniRacun(pointIndex)">Sačuvaj</button>
          </div>
          <div class="col-md-2">
            <button type="button" class="btn btn-secondary" (click)="deleteBankovniRacun(pointIndex)">Obriši</button>
          </div>
        </div>
      </div>
      <div class="row">
        <div class="col-md-12">
          <button type="button" class="btn btn-primary" (click)="addBankovniRacun()">Dodaj novi račun</button>
        </div>
      </div>
    </form>

    <div class="row justify-content-md-center" *ngIf="bankovniRacunUpdated">
      <div class="col text-center">
        <div class="alert alert-success">
          Uspešno ste sačuvali izmene!
        </div>
      </div>
    </div>

  </div>
</div>